incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Srikanth Sundarrajan <srik...@hotmail.com>
Subject [CANCEL] [VOTE] Release of Apache Falcon 0.5-incubating - RC5
Date Mon, 15 Sep 2014 05:07:08 GMT
Cancelling this vote as there are some license related errors in the release tar ball. Will
initiate a new vote with the fixes.

@Justin, one of the dependent components (Apache Oozie 4.0) requires java 1.6 and hence the
dependency on Java 1.6.

Thanks
Srikanth Sundarrajan

----------------------------------------
> Date: Sun, 14 Sep 2014 14:48:44 -0700
> Subject: Re: [VOTE] Release of Apache Falcon 0.5-incubating - RC5
> From: cdouglas@apache.org
> To: general@incubator.apache.org
>
> On Sun, Sep 14, 2014 at 1:59 PM, Justin Mclean <justin@classsoftware.com> wrote:
>> Sorry but it's -1 (binding) from me. Everything is good except that the jQuery has
had an Apache license header added to it. (in ./html5-ui/js/jquery-1.11.0.min.js) If other
incubator members think this isn't a blocker I'll change my vote.
>>
>> jQuery is MIT licensed [1] so should be treated the same as the other bundled MIT
bits and put in LICENSE. (If the license could be changed to Apache then this would needed
to have been mentioned in NOTICE.)
>
> Unfortunately, I think this is a fair catch.
>
> Srikanth, we do *not* need another vote of the PPMC on the 0.5 release
> if the only change is deleting this header and adding the jquery
> license with the others. This should be a quick fix. Could you roll a
> new RC with only this change, and start a new vote thread on
> general@incubator? -C
>
>> Here's what I checked:
>> - File name contain incubating
>> - DISCLAIMER exists
>> - LICENSE and NOTICE good (older version of bootstrap is handled correctly, if newer
version is used than LICENSE would need to change)
>> - All source files contain Apache header
>> - No unexpected binary files in release
>> - Can compile from source
>>
>> Minor issues you may want to fix for the next release.
>> - License has:
>> This product bundles dust-helpers 1.2.0, which is available under a
>> MIT license. For details, see docs/license/dust-LICENSE.txt
>>
>> Which should be this:
>> This product bundles dust-helpers 1.2.0, which is available under a
>> MIT license. For details, see docs/license/dust-helpers-LICENSE.txt
>>
>> - A RELEASE_NOTES listing changes from previous version/list of bugs fixed would
be helpful.
>> - To compile you need to set MVN_CMD, add this to installation instructions.
>> - Looks like a packaging issue in the process directory with a directory named "${system.lib.location}"
>>
>> Would also be nice if at all possible if you could compile with Java 1.7 rather than
1.6 as 1.6 has been EOLed
>>
>> Thanks,
>> Justin
>>
>> 1. https://jquery.org/license/
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
>> For additional commands, e-mail: general-help@incubator.apache.org
>>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
> For additional commands, e-mail: general-help@incubator.apache.org
>
 		 	   		  
---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
For additional commands, e-mail: general-help@incubator.apache.org


Mime
View raw message